import { jsx as e } from "@emotion/react/jsx-runtime";
import { LinearProgress as t } from "../../../extended/mui/LinearProgress/index.js";
import { MFLoaderProgressContainerStyled as n } from "../../slots/MFLoaderSlots.js";
const m = (o) => {
  try {
    const { loadingProgress: r } = o;
    return /* @__PURE__ */ e(n, { children: r >= 0 && r <= 100 ? /* @__PURE__ */ e(t, { variant: "determinate", value: r }) : /* @__PURE__ */ e(t, { variant: "indeterminate" }) });
  } catch {
  }
  return null;
};
export {
  m as ProggessLoadingMF
};
